package com.ruoyi.benyun.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.benyun.entity.StoreWd;
import com.ruoyi.benyun.entity.bo.BrandDisItem;
import com.ruoyi.benyun.entity.bo.Info;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface StoreDao extends BaseMapper<StoreWd> {
    List<StoreWd> searchAll();
    void updateBrandIdByWdId(String brandId, List<String> wdIds);
    List<BrandDisItem> searchCountOrderByCount(List<String> notIns);
    List<Info> searchInfoByBrandId(String brandId);
    Integer searchNomalStatusByBrandId(String brandId);
    Integer searchPauseStatusByBrandId(String brandId);
    Integer searchNoStatusByBrandId(String brandId);
}
